com.ihr.xbrl.om.instance

## Interface XBRLNumber

- All Known Implementing Classes:
    XBRLFractionValue, XBRLNumericValue

      public interface XBRLNumber

  The Interface XBRLNumber.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DECIMALS` Constant used by the XBRLFactNumeric.getFormat() and XBRLFactNumeric.setForamt(int) methods
    `static int` | `INF` The Constant INF.
    `static int` | `PRECISION` Constant used by the XBRLFactNumeric.getFormat() and XBRLFactNumeric.setForamt(int) methods

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLNumber` | `clone()` Clone.
    `boolean` | `eq(XBRLNumber vb)` Eq.
    `java.lang.String` | `getDecimals()` Convert precision value into decimals value if needed and returns the decimals value It is returned as a string because "INF" is a valid value.
    `XBRLFactNumeric` | `getFact()` Access to the XBRLFactNumeric that is the container of this XBRLNumericValue.
    `java.lang.String` | `getFriendlyName(int flags, LabelsProvider lp)` Gets the friendly name.
    `int` | `getInferredPrecision()` Gets the inferred precision for this numeric value.
    `int` | `hashCode()` Hash code.
    `boolean` | `isBlank()` true if this XBRLNumericValue has no value assigned .
    `XBRLNumber` | `multiply(double weight)` Multiply.
    `boolean` | `ne(XBRLNumber sumItem)` Ne.
    `XBRLNumber` | `plus(XBRLNumber multiply)` Plus.
    `void` | `setFact(XBRLFactNumeric factNumeric)` Sets the fact.

- - ### Field Detail

    - #### INF

          static final int INF

      The Constant INF.
      See Also:
        Constant Field Values

    - #### PRECISION

          static final int PRECISION

      Constant used by the XBRLFactNumeric.getFormat() and XBRLFactNumeric.setForamt(int) methods
      See Also:
        Constant Field Values

    - #### DECIMALS

          static final int DECIMALS

      Constant used by the XBRLFactNumeric.getFormat() and XBRLFactNumeric.setForamt(int) methods
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFact

          XBRLFactNumeric getFact()

      Access to the XBRLFactNumeric that is the container of this XBRLNumericValue.

      It may be null

      Returns:
        XBRLFactNumeric or null

    - #### isBlank

          boolean isBlank()

      true if this XBRLNumericValue has no value assigned .
      Returns:
        the bBlank

    - #### getInferredPrecision

          int getInferredPrecision()

      Gets the inferred precision for this numeric value.
      Returns:
        integer

    - #### getDecimals

          java.lang.String getDecimals()

      Convert precision value into decimals value if needed and returns the decimals value It is returned as a string because "INF" is a valid value.
      Returns:
        String

    - #### setFact

          void setFact(XBRLFactNumeric factNumeric)

      Sets the fact.
      Parameters:
        `factNumeric` - the new fact

    - #### hashCode

          int hashCode()

      Hash code.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the int

    - #### clone

          XBRLNumber clone()

      Clone.
      Returns:
        the XBRL number

    - #### eq

          boolean eq(XBRLNumber vb)

      Eq.
      Parameters:
        `vb` - the vb
      Returns:
        true, if successful

    - #### multiply

          XBRLNumber multiply(double weight)

      Multiply.
      Parameters:
        `weight` - the weight
      Returns:
        the XBRL number

    - #### plus

          XBRLNumber plus(XBRLNumber multiply)

      Plus.
      Parameters:
        `multiply` - the multiply
      Returns:
        the XBRL number

    - #### ne

          boolean ne(XBRLNumber sumItem)

      Ne.
      Parameters:
        `sumItem` - the sum item
      Returns:
        true, if successful

    - #### getFriendlyName

          java.lang.String getFriendlyName(int flags,
                                         LabelsProvider lp)

      Gets the friendly name.
      Parameters:
        `flags` - XMLFragment.HIDE_COMMON_ACCURACY can be used to remove suffixes
        `lp` - (can be null, it is not used)
      Returns:
        the friendly name